# Juju prometheus charm

This charm provides the Prometheus monitoring system from
http://prometheus.io/.

Optionally the charm will install the [Prometheus Registration daemon](https://launchpad.net/prometheus-registration)
alongside Prometheus to aid in the registration of targets.

The charm can be related to the following charms to extend functionality:

* grafana
* prometheus-alertmanager
* prometheus-pushgateway
* prometheus-snmp-exporter
* prometheus-blackbox-exporter
* telegraf
* mtail

## Configuration

The charm is designed to work out of the box without need to set any
configuration options. Please refer to config.yaml for detailed help on
support settings. Below is a list of the most common options:

 * **daemon-args** - add extra CLI arguments, for example `-storage.local.retention 120h0m0s`
 * **scrape-jobs** - allows for custom scrape jobs to be configured
 * **snap_proxy** - web proxy address to use when accessign the snap store
 * **external_url**
 * **scrape-interval**
 * **evaluation-interval**

## Juju storage support

The charm supports juju storage (requires juju 1.25 or later).
For example to deploy with local filesystem run:

    juju deploy local:trusty/prometheus --storage metrics-filesystem=rootfs prometheus
